public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-image/
Date: Fri, 12 Jul 2024 16:57:37 +0000 (UTC)	[thread overview]
Message-ID: <1720803426.33b4ccd16a4b283d19c24ee671deb02bb064ac51.ceamac@gentoo> (raw)

commit:     33b4ccd16a4b283d19c24ee671deb02bb064ac51
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 12 14:19:27 2024 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Fri Jul 12 16:57:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33b4ccd1

sys-kernel/raspberrypi-image: add 6.6.31_p20240529

Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 sys-kernel/raspberrypi-image/Manifest              |  1 +
 .../raspberrypi-image-6.6.31_p20240529.ebuild      | 66 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/sys-kernel/raspberrypi-image/Manifest b/sys-kernel/raspberrypi-image/Manifest
index 1ffc5e43f59b..83d4e4c444d1 100644
--- a/sys-kernel/raspberrypi-image/Manifest
+++ b/sys-kernel/raspberrypi-image/Manifest
@@ -6,4 +6,5 @@ DIST raspberrypi-firmware-1.20211029.tar.gz 193543221 BLAKE2B 308206d6bdfbe15bfe
 DIST raspberrypi-firmware-1.20220331.tar.gz 195722349 BLAKE2B 7f2748bba0cd255921cc7cd1117bd8a16611a835ab7bcb62525675f6b0d627ea8ad40b39aa83e00f7e73428e2af912906e53c3e3214b5cb079a2baeae985f2a2 SHA512 c510ddb5eb1c6ea1aa69f0063551445dd21092f68e19b64b885558d2c47735d4e9f781ef9674fbe3a9894d66eb07ccbb004541c9a85005318911fabda899c2cc
 DIST raspberrypi-firmware-1.20230405.tar.gz 187674867 BLAKE2B 8f35b2dd906cd2459c83c3cec2ba10e8388afa35213f80bd3fd7a5ba7061c7ad0f9db5a5c39ab476f8a2b4754cf80665c2dff54f7ae61edf3c85d91ae37f9f9f SHA512 ddc9baeba4e2e442bfe41e427c7ecdd38ee6d44ac4e7c297ae7d5a6c64b0aa1a81206929baeb9aceb74de6f96707b30040e82450ef4f01a78b958299c72e3857
 DIST raspberrypi-firmware-1.20240424.tar.gz 153632287 BLAKE2B 7718d26ee66751484edd359412bc186d7ef5e68af97abe814b340b4c21fb4d6f7abc2caa8c7d0ec62ac742a9c932a08b4393d32d4ba79480c9648d742bead0b8 SHA512 90ad6872886f3efb004b57e258ba8ec0ef0bf619e251e2f0d259c22ef9cb816f6b0f2d5fb1f3a0ece13bf69fecfe8fe70793b90ea243163b5a585930e554e3d5
+DIST raspberrypi-firmware-1.20240529.tar.gz 153776579 BLAKE2B 8348429940056600e9c1a3f63d2575fc285ef379ad1663460620d1b9fb65ef1b32d789a0b525903de90e5ec9886b173c7e3692a87c4ee3c9904c88c1bf85b071 SHA512 1b127924960efe8430250fae7a496805e4285d1b72b180a829be6d5eee6be2ecf325bdf9c81f9806ef9aae0adeb5e8832197e79c281754b87028fcdfe1b0961b
 DIST raspberrypi-image-4.14.98_p20190215.tar.gz 123074917 BLAKE2B cefedb5c979db7dfd47938aad37a567d91d3ad78247c7a63f789362768ab7a39a1967ac116b4b0475e3b210ab11f6474706df042af85a622e8e7905c85ec7498 SHA512 082f26caf427222d838881e5f1e9fa0136765b3eaf74a84877fc33616fd07e49085db0889226c40c655039a9d41a10566510c7d752cfc48a67b4683616a51193

diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-6.6.31_p20240529.ebuild b/sys-kernel/raspberrypi-image/raspberrypi-image-6.6.31_p20240529.ebuild
new file mode 100644
index 000000000000..8a8a4752bce4
--- /dev/null
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-6.6.31_p20240529.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit mount-boot
+
+# Go to e.g. https://github.com/raspberrypi/firmware/tree/1.20211029/modules
+# for the latest tag to see which kernel version it corresponds to.
+
+DESCRIPTION="Raspberry Pi (all versions) kernel and modules"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/raspberrypi/firmware"
+	EGIT_CLONE_TYPE="shallow"
+	inherit git-r3
+else
+	[[ $(ver_cut 4) == p ]] || die "Unsupported version format, tweak the ebuild."
+	MY_PV="1.$(ver_cut 5)"
+
+	SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV}.tar.gz -> raspberrypi-firmware-${MY_PV}.tar.gz"
+	S="${WORKDIR}/firmware-${MY_PV}"
+	KEYWORDS="-* ~arm ~arm64"
+fi
+
+LICENSE="GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+RESTRICT="binchecks strip"
+
+# Temporary safety measure to prevent ending up with a pair of
+# sys-kernel/raspberrypi-image and sys-boot/raspberrypi-firmware
+# both of which installed device tree files.
+# Restore to simply "sys-boot/raspberrypi-firmware" when the mentioned version
+# and all older ones are deleted.
+RDEPEND=">sys-boot/raspberrypi-firmware-1.20190709"
+
+src_prepare() {
+	default
+
+	local expected_kernel_version="$(ver_cut 1-3)+"
+	local found_kernel_version=( "${S}"/modules/$(ver_cut 1).*.*+ )
+
+	found_kernel_version=${found_kernel_version[0]}
+	found_kernel_version=${found_kernel_version##*/}
+
+	if [[ ${expected_kernel_version} != ${found_kernel_version} ]] ; then
+		eerror "Expected kernel version: ${expected_kernel_version}"
+		eerror "Found kernel version: ${found_kernel_version}"
+		die "Please fix ebuild version to contain ${found_kernel_version}!"
+	fi
+
+	if [[ ! -d "${S}"/modules/${expected_kernel_version} ]] ; then
+		eerror "Kernel module directory is missing!"
+		die "${S}/modules/${expected_kernel_version} not found!"
+	fi
+}
+
+src_install() {
+	insinto /lib/modules
+	doins -r modules/*
+	insinto /boot
+	doins boot/*.img
+
+	doins boot/*.dtb
+	doins -r boot/overlays
+}


             reply	other threads:[~2024-07-12 16:57 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-12 16:57 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-03 17:22 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/raspberrypi-image/ Viorel Munteanu
2024-08-13 14:57 Arthur Zamarin
2024-08-13 14:57 Arthur Zamarin
2024-06-17 12:57 Arthur Zamarin
2024-05-16 17:17 Viorel Munteanu
2024-04-20  3:20 Sam James
2023-06-07 16:39 Sam James
2022-07-30  2:22 Sam James
2022-04-09 19:39 Arthur Zamarin
2022-04-09 19:31 Arthur Zamarin
2021-11-21  8:21 Sam James
2021-06-21 22:36 Sam James
2021-02-14  3:23 Sam James
2020-12-29 23:47 Sam James
2020-12-15  3:06 Sam James
2020-11-23  4:41 Sam James
2020-10-13 22:39 Sam James
2020-10-13 22:39 Sam James
2020-07-28  0:10 Sam James
2019-12-03 13:34 Andrey Utkin
2019-12-03 13:34 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-05 21:38 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2019-03-25  0:19 Andrey Utkin
2017-10-15  9:21 Michael Palimaka
2016-03-15 13:49 Michael Weber
2016-03-15 13:49 Michael Weber
2016-02-20 12:07 Michael Weber
2016-02-20  9:11 Patrick Lauer
2016-02-19 22:48 Michael Weber
2016-02-19 22:48 Michael Weber
2016-02-11 12:58 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1720803426.33b4ccd16a4b283d19c24ee671deb02bb064ac51.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox